summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorGravatar Christophe Fergeau2015-04-05 12:20:11 +0200
committerGravatar Nikias Bassen2019-01-26 14:33:54 +0100
commit070e649d1ce7f0a520e7224c66a35ddac5cddf69 (patch)
tree2b6569242c23c2e76a0392829fa8e46acb43826f /autogen.sh
parent917f2ae4e3e6245a81e4b853ade240b7644f69f3 (diff)
downloadidevicerestore-070e649d1ce7f0a520e7224c66a35ddac5cddf69.tar.gz
idevicerestore-070e649d1ce7f0a520e7224c66a35ddac5cddf69.tar.bz2
Allow to run autogen.sh outside $top_srcdir
This makes it more convenient to do builds out of the source dir.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 19 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index 2a9825d..9164d13 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,22 @@
-#!/bin/bash
-gprefix=`which glibtoolize 2>&1 >/dev/null`
-if [ $? -eq 0 ]; then
- glibtoolize --force
-else
- libtoolize --force
-fi
-aclocal -I m4
-autoheader
-automake --add-missing
-autoconf
+#!/bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(
+ cd "$srcdir"
+ gprefix=`which glibtoolize 2>&1 >/dev/null`
+ if [ $? -eq 0 ]; then
+ glibtoolize --force
+ else
+ libtoolize --force
+ fi
+ aclocal -I m4
+ autoheader
+ automake --add-missing
+ autoconf
+)
if [ -z "$NOCONFIGURE" ]; then
- ./configure "$@"
+ "$srcdir/configure" "$@"
fi